<?php

namespace Drupal\private_message\Entity\Builder;

use Drupal\Component\Utility\Html;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityViewBuilder;

/**
 * Build handler for rpivate messages.
 */
class PrivateMessageViewBuilder extends EntityViewBuilder {

  /**
   * {@inheritdoc}
   */
  public function view(EntityInterface $entity, $view_mode = 'full', $langcode = NULL) {
    $build = parent::view($entity, $view_mode, $langcode);

    $classes = ['private-message'];
    $classes[] = 'private-message-' . $view_mode;

    $id = Html::getUniqueId('private-message-' . $view_mode . '-' . $entity->id());
    $build['#prefix'] = '<div id="' . $id . '" data-message-id="' . $entity->id() . '" class="' . implode(' ', $classes) . '">';
    $build['#suffix'] = '</div>';

    return $build;
  }

}
